#
# spec file for package yast2-lib-printer (Version 2.5.24)
#
# Copyright (c) 2002 SuSE Linux AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  autoconf automake dejagnu expect libscr liby2 libycp libycp-devel libyui tcl yast2-agent-system yast2-base yast2-core-scr yast2-core-wfm yast2-devtools yast2-lib-wizard yast2-testsuite ycpdoc
# usedforbuild    aaa_base aaa_dir aaa_version autoconf automake base bash bindutil binutils bison bzip cpio cpp cracklib cyrus-sasl db dejagnu devs diffutils e2fsprogs expect file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel glibc-locale gpm gppshare grep groff gzip kbd less libscr libtool liby2 libycp libycp-devel libyui libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel pam-modules patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit tcl texinfo textutils timezone unzip util-linux vim yast2-agent-system yast2-base yast2-core-scr yast2-core-wfm yast2-devtools yast2-lib-wizard yast2-testsuite ycpdoc

Name:         yast2-lib-printer
Version:      2.5.24
Release:      54
License:      YaST
Group:        System/YaST
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
Source0:      yast2-lib-printer-2.5.24.tar.bz2
Requires:     yast2 netcat yast2-trans-libprinter yast2-agent-targetpkg yast2-agent-any
BuildArchitectures:     noarch
Summary:      YaST2 - Printer routines library

%description
The YaST2 library with common routines for manipulating
printing services.

SuSE series: yast

%prep
%setup -n yast2-lib-printer-2.5.24

%build
./configure --libdir=%{_libdir}
make

%install
[ "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != "/" ] && rm -rf "$RPM_BUILD_ROOT"
make install DESTDIR="$RPM_BUILD_ROOT"
Y2DIR="$RPM_BUILD_ROOT/usr/lib/YaST2" make check

%clean
[ "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != "/" ] && rm -rf "$RPM_BUILD_ROOT"

%files
%defattr(-,root,root)
%dir /usr/lib/YaST2/clients
%dir /usr/lib/YaST2/modules
%dir /usr/lib/YaST2/menuentries
%dir /usr/lib/YaST2/include
%dir /usr/lib/YaST2/include/printer
/usr/lib/YaST2/include/printer/*
/usr/lib/YaST2/modules/Printer.ycp
/usr/lib/YaST2/bin/test_device
/usr/lib/YaST2/bin/test_remote_lpd
/usr/lib/YaST2/suse_testpg.*
/usr/lib/YaST2/menuentries/menuentry_printer.y2cc
/usr/lib/YaST2/menuentries/menuentry_printer_nodet.y2cc
/usr/lib/YaST2/clients/printer.ycp
/usr/lib/YaST2/clients/printer_summary.ycp
/usr/lib/YaST2/clients/proposal_printer.ycp
/usr/lib/YaST2/clients_non_y2/printer_parport_bases
/usr/lib/YaST2/clients_non_y2/printer_smb_queues
/usr/lib/YaST2/scrconf/proc_parport_devices.scr
/usr/lib/YaST2/scrconf/proc_serial_devices.scr
/usr/lib/YaST2/scrconf/proc_usblp_devices.scr
%doc /usr/share/doc/packages/yast2-lib-printer

%changelog -n yast2-lib-printer
* Fri May 03 2002 - jsrain@suse.cz
- Fixed parsing of Uri, when queue name included "/", was returned
  only part after last "/" (Bug #16023)
* Tue Mar 12 2002 - pblahos@suse.cz
- Added extra check for uri length when getting username/password.
  (Bug #14844)
* Tue Mar 12 2002 - pblahos@suse.cz
- Added 2 empty lines at the beginning of the ascii test page.
  hpijs driver prints too close to top. (Bug #14807)
* Mon Mar 11 2002 - pblahos@suse.cz
- Added possibility to strip away hi-color image when preparing a
  postscript test page (Bug #13776)
* Mon Mar 04 2002 - kendy@suse.cz
- v. 2.5.21
- bugfix 13981: Do not save if nothing changed in proposal
  (by pblahos).
* Thu Feb 28 2002 - pblahos@suse.cz
- Changed picture of chameleon on test page. (Bug #14035)
* Mon Feb 25 2002 - pblahos@suse.cz
- Fixed: Text guiding user to test printers is shown only if at least
  one printer is configured.
* Fri Feb 22 2002 - pblahos@suse.cz
- Text guiding user to test printers is shown only if at least one
  printer is configured.
* Thu Feb 21 2002 - pblahos@suse.cz
- Proposal changed: now there is a link Test (Bug #13514)
* Wed Feb 20 2002 - pblahos@suse.cz
- command line .nodetection may be string or path
- lpdfilter is uninstalled too when switching to cups (Bug #13459)
- testpage works for cups now
- command line argument is of type string (lnussel@suse.de)
* Fri Feb 08 2002 - pblahos@suse.cz
- Added a line to ascii test page: This is Euro: \244 (Bug#13115)
* Thu Feb 07 2002 - pblahos@suse.cz
- aps replaced by lpdfilter
- proposal now really proposes for printconf.
* Mon Jan 28 2002 - pblahos@suse.cz
- better localization of the test page
- file proposal_printer.ycp for installation proposal.
* Mon Jan 21 2002 - pblahos@suse.cz
- new postscript test page and routines for it.
* Wed Jan 16 2002 - pblahos@suse.cz
- Requires yast2-agent-any.
- Files moved from any agent:
  proc_parport_devices.scr
  proc_serial_devices.scr
  proc_usblp_devices.scr
- Using test "\rHello World\r\f" for testing device.
* Fri Jan 11 2002 - pblahos@suse.cz
- Added function to get default system paper size from locales.
* Mon Jan 07 2002 - pblahos@suse.cz
- Added common dialog to edit parallel port IO addresses (Bug#12523)
* Wed Dec 05 2001 - pblahos@suse.cz
- Uses targetpkg agent.
- Added 3rd parameter to selects to satisfy new libycp.
* Mon Dec 03 2001 - pblahos@suse.cz
- Uses y2autoconf and create-spec
* Wed Nov 28 2001 - pblahos@suse.cz
- Commnents fixed to satisfy ycpdoc.
- Some functions moved to yast2-config-printer.
- Uses builtin tohex.
* Fri Nov 23 2001 - pblahos@suse.cz
- New function that extracts parameter from uri.
* Tue Nov 20 2001 - pblahos@suse.cz
- Public functions moved to module.
* Wed Nov 07 2001 - pblahos@suse.cz
- Checked that lookup has 3 parameters.
- Removed unused functions.
* Tue Oct 16 2001 - pblahos@suse.cz
- Migrated to yast2-devtools
* Wed Oct 10 2001 - pblahos@suse.cz
- Removed file printer_get_smb. Functionality moved to
  y2scr::ag_hostnames.
* Mon Oct 01 2001 - pblahos@suse.cz
- when switching to BSD-LPR, installs package filters too.
* Fri Sep 14 2001 - pblahos@suse.cz
- Newlines in custom texts on ascii pages are translated to spaces.
  Now really fixed. (Bug 10266)
* Mon Sep 10 2001 - pblahos@suse.cz
- installs cups-client too when switching to cups
* Fri Sep 07 2001 - pblahos@suse.cz
- newlines in custom texts on ascii pages are translated to spaces
  (Bug 10266)
* Tue Sep 04 2001 - pblahos@suse.cz
- cups is detected by presence of cups-client package, not by
  /etc/init.d/cups
* Thu Aug 30 2001 - pblahos@suse.cz
- libycp-devel added to needforbuild. Needed by testsuite.
* Mon Aug 27 2001 - pblahos@suse.cz
- Starts hotplug before probing printers.
* Fri Aug 17 2001 - pblahos@suse.cz
- when no print spooler is installed printer attempts to install
  lprng
- fileexist replaced by SCR::Read(.target.size)!=-1
* Mon Aug 13 2001 - pblahos@suse.cz
- Changed tabs to spaces.
- Changed UI (` to UI::, SCR (` to SCR::
- Calls to usbmgr removed.
* Thu Aug 09 2001 - pblahos@suse.cz
- Test cases fixed.
- Installs aps when installing LPD spooler.
- When switching spooler, lprold name is not designated as default.
  Spooler may be switched to "cups" or "any package"
* Thu Aug 02 2001 - pblahos@suse.cz
- Test cases fixed.
* Mon Jul 30 2001 - pblahos@suse.cz
- Sample command on postscript testpage always contains queue name
  (Bug 9510)
* Mon Jul 23 2001 - pblahos@suse.cz
- Works with new YaST2 libs.
* Tue Jun 12 2001 - pblahos@suse.cz
- Added index.html into documentation.
- #7265: New menuentry that skips autodetection.
- Creating and installing auto documentation.
- Function for ps testpage preparation moved here.
- Localization of ascii testpage is possible.
- detection supports format usb:/dev/usb/lp?vendor=04a9&prod_id=1052
  used in cups.
- added scripts for reading samba servers and printers
- detection routines moved here
- postscript testpage is resizable without need to explicitly specify size
* Mon May 14 2001 - pblahos@suse.cz
- #8160: cups-drivers* are uninstalled too if necessarry when
  switching between cups and lpd.
* Thu May 10 2001 - pblahos@suse.cz
- #8031: added frame to please-wait window when testing remote printer.
- Texts are defined in UI so they are translated (not in bugzilla).
* Mon May 07 2001 - pblahos@suse.cz
- #7037: Epson USB printers waking up fixed.
* Fri May 04 2001 - pblahos@suse.cz
- #7651: Now it is possible to choose existing fwd. queue when
  creating pre-filter queue.
- #7640: Whole error message from remote lpd is displayed when
  there is an unsuccessful test of remote lpd.
- #5944: Reports unrecognized USB Epson Styluses as Stylus Color
* Mon Apr 30 2001 - pblahos@suse.cz
- When installing cups package, selects cups-drivers too.
* Fri Apr 27 2001 - pblahos@suse.cz
- Code for parallel ports detection removed.
- Accepts .nodetection argument to skip autodetection of printers
  and parallel ports.
- Requires translation package.
* Tue Apr 24 2001 - pblahos@suse.cz
- testpage contains Hungarian iso-8859-2 characters.
* Fri Apr 20 2001 - pblahos@suse.cz
- #7041: postscript test page does not contain < and > characters.
- #7046: script test_device did not worked called from YaST2 because
  .target.bash* does not like '
- Parallel port detection functinality added.
* Thu Apr 19 2001 - pblahos@suse.cz
- Added testsuites.
- Added functions for waking up and testing USB Epsons.
* Tue Apr 17 2001 - pblahos@suse.cz
- Daemons are stopped before they are uninstalled.
- Implemented module summary.
- Launches module according to installed print spooler.
* Fri Apr 06 2001 - pblahos@suse.cz
- initial
